// ----------------------------------------------------------------------------
//
// Copyright (C) Columbia University, 1994. All Rights Reserved.
// Sameer A. Nene, Shree K. Nayar, Hiroshi Murase
//
// See file LICENSE for details of software license agreement.
//
// ----------------------------------------------------------------------------
//
// reporter.C
//
// Author:               Sameer Nene
// Date:                 05/24/94
// Version:              1.0
// Modification History:
// Bugs:
//
// Classes:
//   Reporter
//
// Notes:
//   This module contains implementation of classes declared in reporter.h
//   
// ----------------------------------------------------------------------------

#include <iostream.h>
#include "reporter.h"

int Reporter::d_pos = 0;

void Reporter::display_status()
{
  switch(d_pos) {
  case 0:
    cout << '\b' << '-' << flush;
    break;
  case 1:
    cout << '\b' << '\\' << flush;
    break;
  case 2:
    cout << '\b' << '|' << flush;
    break;
  case 3:
    cout << '\b' << '/' << flush;
  }
  if(++d_pos == 4)
    d_pos = 0;
}

